App\Entity\Depense:
    type: entity
    table: depense
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        type:
            type: string
            length: 255
            fixed: false
            nullable: true
        montant:
            type: float
            nullable: false
        dateDepense:
            type: datetime
            nullable: true
        description:
            type: string
            length: 255
            fixed: false
            nullable: true
        justif:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateInsertion:
            type: datetime
            nullable: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: depenses
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: depenses
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        compte:
            targetEntity: Compte
            cascade: [persist]
            mappedBy: null
            inversedBy: depenses
            joinColumns:
                compte_id:
                    referencedColumnName: id
            orphanRemoval: true